<script  lang="ts">
    export let content: string;
    let src = "";

    import Urlify from "urlify";
    let urlify = Urlify.create({});

    $: fetch(`https://api.giphy.com/v1/gifs/search?q=${urlify(content).replace("_", "+")}&api_key=c8yQB9OL1hOk4C3OWPkPIYQthyJMbt4z&limit=1`)
        .then(response => response.json() )
        .then(json => {
            src = json.data[0].images.original.url;
        })
</script>

<img {src} alt="">

<style>
    img {
        width: 100%;
    }
</style>